=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
@@ -51,7 +51,7 @@
 Package: libkf5akonadimime-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5akonadimime5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
