=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5akonadi-dev (>= 4:20.08.2~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5itemmodels-dev (>= 5.15.2~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5mime-dev (>= 20.08.2~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               shared-mime-info (>= 1.3~),
               xsltproc,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/pim/akonadi-mime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime.git
Rules-Requires-Root: no

Package: akonadi-mime-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Akonadi MIME handling library - data files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package contains data files for akonadi-mime library

Package: libkf5akonadimime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.2~),
         libkf5akonadimime5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.71.0~),
         libkf5i18n-dev (>= 5.71.0~),
         libkf5mime-dev (>= 20.08.2~),
         libkf5xmlgui-dev (>= 5.71.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadimime5
Architecture: any
Multi-Arch: same
Depends: akonadi-mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}
